2018-02-08  K. Handa  <handa@gnu.org>

	Version 1.8.0 released.

	* configure.ac: Version changed to 1.8.0.

2017-12-08  handa  <handa@gnu.org>

	* .gitignore: Add TAGS.

2016-01-12  K. Handa  <handa@gnu.org>

	Install m17n-config only on a system that does not have pkg-config.

	* configure.ac: Make HAVE_PKG_CONFIG AM_CONDITIONAL.

	* Makefile.am (BINSCRIPTS): New variable set conditionally.
	(bin_SCRIPTS): Set to the value of BINSCRIPTS.

2015-08-29  K. Handa  <handa@gnu.org>

	* configure.ac: Version changed to 1.7.1.
	(API_VERSION): Change to 4.2.4.

2015-04-05  K. Handa  <handa@gnu.org>

	* m17n-config.in: Change the encoding to utf-8.

2014-12-10  K. Handa  <handa@gnu.org>

	* Version 1.7.0 released.

2014-12-10  K. Handa  <handa@gnu.org>

	* configure.ac (API_VERSION): Change to 4:1:4 (revision incremented).

2014-11-11  K. Handa  <handa@gnu.org>

	* .gitignore: Converted from .cvsigore.

	* .cvsignore: Delete it.

2014-10-18  K. Handa  <handa@gnu.org>

	* configure.ac: Version changed to 1.7.0.

2012-09-18  Kenichi Handa  <handa@m17n.org>

	* Version 1.6.4 released.

2012-04-23  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Version changed to 1.6.4.

2011-10-11  Kenichi Handa  <handa@m17n.org>

	* Version 1.6.3 released.

2011-09-12  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Version changed to 1.6.3.

2011-02-21  Daiki Ueno  <ueno@unixuser.org>  (tiny change)

	* m17n-core.pc.in (moduledir): Use ${libdir} instead of
	${exec_prefix}/lib.

	* m17n-shell.pc.in (moduledir): Likewise.

	* m17n-flt.pc.in (moduledir): Likewise.

	* m17n-gui.pc.in (moduledir): Likewise.

2011-01-12  Kenichi Handa  <handa@m17n.org>

	* Version 1.6.2 released.

2011-01-12  Kenichi Handa  <handa@m17n.org>

	* Makefile.am: Update copyright year.

2010-09-24  Kenichi Handa  <handa@m17n.org>

	* configure.ac (AC_CONFIG_HEADERS): Put config.h in the top
	directory (intl/*.c require it).

2010-09-22  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Version changed to 1.6.2.

2010-09-13  Kenichi Handa  <handa@m17n.org>

	* configure.ac: If libotf-config is not available, try pkg-config.

2010-09-02  Kenichi Handa  <handa@m17n.org>

	* bootstrap.sh: Clean old files at first.

2010-08-27  Kenichi Handa  <handa@m17n.org>

	* .cvsignore: Add ABOUT-NLS.

	* intl/*, m4/*: Delete them.

	* po/*: All filles re-generated by gettextize.

	* config.rpath: Delete it.

	* ABOUT-NLS: Delete it.

	* configure.ac: Call AC_GNU_SOURCE and AM_GNU_GETTEXT_VERSION.
	Call AC_PROG_LIBTOOL later.

	* bootstrap.sh: Make po/Makevars from po/Makevars.template.

	* Makefile.am (EXTRA_DIST): Remove m4/ChangeLog config.rpath
	mkinstalldirs.

2010-08-12  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Fix help string for --enable-gui.

2010-04-23  Kenichi Handa  <handa@m17n.org>

	* Version 1.6.1 released.

2010-04-07  Kenichi Handa  <handa@m17n.org>

	* m17n-gui.pc.in (moduledir): New variable.

	* m17n-flt.pc.in (moduledir): New variable.

	* m17n-shell.pc.in (moduledir): New variable.

	* m17n-core.pc.in (moduledir): New variable.

2010-04-06  Kenichi Handa  <handa@m17n.org>

	* .cvsignore: Add mkinstalldirs, ltmain.sh.

2010-04-04  handa  <handa@m17n.org>

	* configure.ac: Add AC_PROG_LIBTOOL.  Comment out LT_PREREQ and
	LT_INIT.

2010-04-02  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Version changed to 1.6.1.

2010-03-30  Kenichi Handa  <handa@m17n.org>

	* Version 1.6.0 released.

2010-03-30  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Version changed to 1.6.0.

2010-03-19  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Version changed to 1.6.0pre.

2010-02-18  Kenichi Handa  <handa@m17n.org>

	* configure.ac (M17N_BINARY_VERSION): New variable.
	(M17N_MODULE_DIR): New variable.  AC_SUBST it.

2009-11-05  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Check if the OTF library has OTF_drive_gpos2 ().

2009-10-05  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Version changed to 1.6.0.
	(API_VERSION): Changed to 4.0.4.

2009-08-13  Kenichi Handa  <handa@m17n.org>

	* Version 1.5.5 released.

2009-07-29  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Add AC_CONFIG_MACRO_DIR([m4]).  Update by
	autoupdate program.

	* mkinstalldirs: Removed.

	* bootstrap.sh: Simplified by using autoreconf.

2009-07-28  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Version changed to 1.5.5.

2009-03-02  Kenichi Handa  <handa@m17n.org>

	* Version 1.5.4 released.

2009-02-25  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Version changed to 1.5.4.

2008-10-20  Kenichi Handa  <handa@m17n.org>

	* Version 1.5.3 released.

2008-09-24  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Versions changed to 1.5.3.

2008-06-23  Kenichi Handa  <handa@m17n.org>

	* Version 1.5.2 released.

2008-05-30  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Versions changed to 1.5.2.

2008-01-31  Kenichi Handa  <handa@ni.aist.go.jp>

	* Version 1.5.1 released.

2008-01-15  Kenichi Handa  <handa@ni.aist.go.jp>

	* configure.ac: Versions changed to 1.5.1.

2007-12-28  Kenichi Handa  <handa@ni.aist.go.jp>

	* Version 1.5.0 released.

2007-11-13  Kenichi Handa  <handa@ni.aist.go.jp>

	* configure.ac: Version changed to 1.5.0
	(API_VERSION): Updated to 3:0:3.

	* m17n-config.in: Add FLT support.

2007-10-12  Kenichi Handa  <handa@m17n.org>

	* m17n-flt.pc.in: Don't require m17n-shell.

2007-08-15  Kenichi Handa  <handa@m17n.org>

	* m17n-flt.pc.in (prefix): New file.

	* configure.ac (AC_CONFIG_FILES): Add m17n-flt.pc.

	* Makefile.am (EXTRA_DIST): Add m17n-flt.pc.in.
	(BASICDATA): Add m17n-flt.pc.

2007-07-13  Kenichi Handa  <handa@m17n.org>

	* Version 1.4.0 released.

2007-05-24  Kenichi Handa  <handa@m17n.org>

	* configure.ac (HAVE_ANTHY): Use PKG_CHECK_MODULES to check it.

2007-05-16  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Version changed to 1.4.0
	(API_VERSION): Updated to 2:0:2.

2007-02-28  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Version changed to 1.3.5.

2006-12-14  Kenichi Handa  <handa@m17n.org>

	* .cvsignore: Add INSTALL, depcomp, install-sh, and missing.

2006-12-07  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* Update FSF postal address.

2006-12-06  Kenichi Handa  <handa@m17n.org>

	* Version 1.3.4 released.

2006-09-21  Kenichi Handa  <handa@m17n.org>

	* mkinstalldirs: New file.

	* bootstrap.sh: Don't delete mkinstalldirs.  Change order of
	calling auto tools.

	* ABOUT-NLS: New file.

	* intl, m4, po: New directories.

2006-09-21  gettextize  <bug-gnu-gettext@gnu.org>

	* Makefile.am (SUBDIRS): Add intl.
	* configure.ac (AC_CONFIG_FILES): Add intl/Makefile.

2006-09-17  gettextize  <bug-gnu-gettext@gnu.org>

	* Makefile.am (SUBDIRS): Add po.
	(ACLOCAL_AMFLAGS): New variable.
	(EXTRA_DIST): Add config.rpath, mkinstalldirs, m4/ChangeLog.
	* configure.ac (AC_CONFIG_FILES): Add po/Makefile.in.

2006-09-17  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Add AM_GNU_GETTEXT.
	(GETTEXTDIR): New variable.  AC_SUBST it.

2006-07-19  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Include the result of `libotf-config --cflags` in
	CPPFLAGS.

2006-07-14  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Version changed to 1.3.4.  Delete args to
	AM_INIT_AUTOMAKE.

2006-06-23  Kenichi Handa  <handa@m17n.org>

	* Makefile.am (PKGDATA): Don't increment it conditionally.

	* configure.ac: Add "--with-fontconfig" arg.

2006-05-29  Kenichi Handa  <handa@m17n.org>

	* m17n-config.in: For for --libtool.

2006-04-24  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* README: Insert libthai reference site.

2006-02-22  Kenichi Handa  <handa@m17n.org>

	* Version 1.3.3 released.

2006-02-22  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Version changed to 1.3.1.
	(HAVE_DLOPEN): Fix typo in a message.

2006-02-06  Kenichi Handa  <handa@m17n.org>

	* Version 1.3.2 released.

2006-02-06  Kenichi Handa  <handa@m17n.org>

	* Makefile.am (EXTRA_DIST): Add bootstrap.sh.

2006-02-03  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Version changed to 1.3.1.

2006-01-17  Kenichi Handa  <handa@m17n.org>

	* configure.ac: If GD library is available, define HAVE_GD as 1 or
	2 in CONFIG_FLAGS.

2006-01-16  Kenichi Handa  <handa@m17n.org>

	* Version 1.3.1 released.

2006-01-16  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Version changed to 1.3.1.

2005-12-22  Kenichi Handa  <handa@m17n.org>

	* Version 1.3.0 released.

2005-12-22  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Check availability of OTF_check_features.

2005-12-05  Kenichi Handa  <handa@m17n.org>

	* m17n-shell.pc.in (Description): Fix typo.

2005-11-21  Kenichi Handa  <handa@m17n.org>

	* Makefile.am (pkgconfig_DATA): Define it conditionally on
	WITH_GUI.

	* configure.ac: Handle --with-gui/--without-gui arg.

2005-11-18  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Add --with-libotf option.  Use AC_HELP_STRING.

2005-09-05  Kenichi Handa  <handa@m17n.org>

	* bootstrap.sh: Call automake with -a -c. 

	* configure.ac: Add AM_MAINTAINER_MODE.
	(X11_LD_FLAGS): New variable.
	(--with-gd): New AC_ARG_WITH.
	(HAVE_FRIBIDI_CONFIG): Fix typo for testing it.

2005-09-01  Kenichi Handa  <handa@m17n.org>

	* configure.ac (CONFIG_FLAGS): Setup this variable and AC_SUBST it.

2005-08-18  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Version changed to 1.3.0.

2005-05-12  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Define HAVE_X11_XAW_COMMAND explicitly.

2005-04-28  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Check the availability of libXaw.

2005-04-27  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Check libthat at first and if that fail check
	wordcut library.

2005-04-15  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Check the version of wordcut library and
	HAVE_WORDCUT or HAVE_WORDCUT_OLD.
	(DLOPEN_SHLIB_EXT): Define it.

2004-12-27  Kenichi Handa  <handa@m17n.org>

	* Version 1.2.0 released.

2004-12-27  Kenichi Handa  <handa@m17n.org>

	* m17n-config.in: Fix documentation.  Doxygen's section name fixed.

2004-12-10  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Versions changed to 1.2.0.

2004-10-14  Kenichi Handa  <handa@m17n.org>

	* configure.ac (M17N_EXT_LIBS): New variable to accumulate
	available external libraries.

2004-10-13  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Check if <freetype/ftbdf.h> is available or not.

2004-10-12  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Use pkg-config (if available) for Xft.

2004-10-11  Kenichi Handa  <handa@m17n.org>

	* m17n-core.pc.in, m17n-shell.pc.in, m17n-gui.pc.in: New files.

	* configure.ac: Include m17n-core.pc, m17n-shell.pc, and
	m17n-gui.pc in AC_CONFIG_FILES.

	* Makefile.am (EXTRA_DIST, pkgconfigdir, pkgconfig_DATA): New
	variables.

2004-08-16  Kenichi Handa  <handa@m17n.org>

	* Version 1.1.0 released.

2004-07-06  Kenichi Handa  <handa@m17n.org>

	* m17n-config.in: Cancel previous change.

2004-06-30  Kenichi Handa  <handa@m17n.org>

	* m17n-config.in: Add -lm17n-X and -lm17n-gd if necessary.

2004-06-14  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Check the program m17n-db.

2004-06-03  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Run freetype-config with --libs instead of
	--libtool.

2004-05-31  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Check the availability of dlopen.  Append
	$X_CFLAGS to CPPFLAGS.

2004-05-28  Kenichi Handa  <handa@m17n.org>

	* configure.ac: New variable API_VERSION.

	* m17n-config.in: Accept "GUI" flag and adjusted for the new
	configuration.

2004-05-27  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Check fontconfig even if Xft is available.  Check
	gd library.  If Xft is not available, set XFT2_LD_FLAGS to null.
	Likewise for xml2.

	* bootstrap.sh: Clean old files at first.

2004-05-24  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Fix typo (pkg-conifg ->pkg-config).  Fix
	AC_CHECK_LIB arg for fontconfig.

2004-05-21  Kenichi Handa  <handa@m17n.org>

	* configure.ac (HAVE_FRIBIDI): Unset FRIBIDI_LD_FLAGS if fribidi
	library is not found.

2004-05-18  Kenichi Handa  <handa@m17n.org>

	* configure.ac: If libotf is not available, clear OTF_LD_FLAGS.
	Double quaote several variables.  Even if xft-config is not
	available, check if Xft library is available.  Setup
	HAVE_FONTCONFIG.

2004-05-07  Kenichi Handa  <handa@redhat.m17n.org>

	* configure.ac: Fix previous change.  Comment out xom and effence
	related codes.

2004-05-03  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Use fribidi-config and xft-config if they are
	available.

2004-04-27  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Check if Xft2 library is available.
	(OTF_LD_FLAGS): Set to `libotf-config --libs`.
	(FREETYPE_LD_FLAGS): Set to `freetype-config --libtool`.

2004-03-29  Kenichi Handa  <handa@m17n.org>

	* Version 1.0 Patch Level 2 released.

2004-03-29  Kenichi Handa  <handa@etlken2>

	* configure.ac: Version changed to 1.0.2.

2004-03-19  Kenichi Handa  <handa@m17n.org>

	* Version 1.0 Patch Level 1 released.

2004-03-19  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Version changed to 1.0.1.

2004-03-01  Kenichi Handa  <handa@m17n.org>

	* Version 1.0 released.


Copyright (C) 2003-2016
  National Institute of Advanced Industrial Science and Technology (AIST)
  Registration Number H15PRO112

This file is part of the m17n library.

The m17n library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public License
as published by the Free Software Foundation; either version 2.1 of
the License, or (at your option) any later version.

The m17n library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with the m17n library; if not, write to the Free
Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
Boston, MA 02110-1301, USA.
